public class DateAffichageEnConsole {

/* Type agrege de stockage d'une date      */
/* formee d'un numero de jour, d'un numero */
/* de mois et d'un numero d'annee          */

  static class Date {
    int jour = 1;
    int mois = 1;
    int annee = 1901; };

/* Lecture au clavier et retour d'une date     */

  static Date saisirDate() {
    Date d = new Date();
    Console.afficher("Jour  ? ");
    d.jour = Console.saisirInt();
    Console.afficher("Mois  ? ");
    d.mois = Console.saisirInt();
    Console.afficher("Annee ? ");
    d.annee = Console.saisirInt();
    return d;
  }

/////////////////////////////////////////////////

/* Affichage d'une date au format jj/mm/aaaa   */

  static void afficher(Date d) {
    if ( d.jour < 10 ) {
      Console.afficher("0"); }
    Console.afficher(d.jour);
    Console.afficher("/");
    if ( d.mois < 10 ) {
      Console.afficher("0"); }
    Console.afficher(d.mois);
    Console.afficher("/");
    if ( d.annee < 10 ) {
      Console.afficher("0"); }
    if ( d.annee < 100 ) {
      Console.afficher("0"); }
    if ( d.annee < 1000 ) {
      Console.afficher("0"); }
    Console.afficher(d.annee);
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("DateAffichage");
    Date d;
    Console.afficherln("Veuillez saisir votre date");
    d = saisirDate();
    Console.afficher("La date saisie est: ");
    afficher(d);
    Console.sautDeLigne();
  }
}